SHELL = /bin/sh
# decide on compiler and flags depending on host
CC = g++
CFLAGS=-fPIC -pthread -O3 
ALL_CFLAGS = -Wall $(CFLAGS) $(PAM_BIT)

CROOT= root -l -b -q 


LIBS = $(PAM_LIB)/libyoda.so $(PAM_LIB)/libDarthVader.so $(PAM_LIB)/libPamLevel2.so $(PAM_LIB)/libCaloBragg.so `root-config --cflags --glibs`   
INCS =-I `root-config --incdir`  -I$(PAM_INC) -I$(PAM_INC)/yoda/ -I./  -I/gpfs/wizard/flight/analysis/cecilia/pamVMC/PamVMC/ac/include/ -I/gpfs/wizard/flight/analysis/cecilia/pamVMC/PamVMC/cal/include/ -I/gpfs/wizard/flight/analysis/cecilia/pamVMC/PamVMC/trk/include/ -I/gpfs/wizard/flight/analysis/cecilia/pamVMC/PamVMC/nd/include/ -I/gpfs/wizard/flight/analysis/cecilia/pamVMC/PamVMC/s4/include/ -I/gpfs/wizard/flight/analysis/cecilia/pamVMC/PamVMC/tof/include/ -I/gpfs/wizard/flight/analysis/cecilia/pamVMC/PamVMC/include/ -I/gpfs/wizard/flight/analysis/emiliano/fluxes/electrons/062009/lib/ROOT5.24/include/ 
EXE = myexample.exe
# pattern rule to compile object files from C files 
# might not work with make programs other than GNU make
%.o : %.cpp Makefile
	$(CC) $(ALL_CFLAGS) $(INCS) -c $< -o $@  

all: $(EXE)

EXAMPOBJ = example.o
myexample.exe: $(EXAMPOBJ) Makefile
	$(CC) $(ALL_CFLAGS) $(INCS) $(EXAMPOBJ) $(LIBS) -o example

.PHONY : clean
clean:
	rm -f *.o *.so *.exe
